AddPointCloud

Adds a point cloud object to the document.

Syntax

Rhino.AddPointCloud (arrPoints [, arrColors])

Parameters

arrPoints

Required.  Array.  An array of 3-D points.

arrColors

Optional.  Array.  An array of RGB color values. Note, for every point, there must be a corresponding point color.

Returns

String

The identifier of the new object if successful.

Null

If not successful, or on error.

Example

Dim arrPoints

arrPoints = Rhino.GetPoints(True, True, "Select points")

If IsArray(arrPoints) Then

Rhino.AddPointCloud arrPoints

End If

Also See

IsPointCloud

PointCloudCount

PointCloudPoints